inf = open("game.in", "r")
ouf = open("game.out", "w")

n, m = map(int, inf.readline().split())
l1, r1 = map(int, inf.readline().split())
l2, r2 = map(int, inf.readline().split())
h = map(int, inf.readline().split())

only = [0, 0]
both = 0
for x in h:
    if l1 <= x <= r1 and l2 <= x <= r2:
        both += 1
    if l1 <= x <= r1:
        only[0] += 1
    if l2 <= x <= r2:
        only[1] += 1

cnt = [0, 0]
for i in range(n):
    if both > 0:
        both -= 1
        cnt[i % 2] += 1
    elif only[i % 2] > 0:
        only[i % 2] -= 1
        cnt[i % 2] += 1

if cnt[0] > cnt[1]:
    print("Petya", file = ouf)
elif cnt[0] < cnt[1]:
    print("Vasya", file = ouf)
else:
    print("Draw", file = ouf)

inf.close()
ouf.close()

